import * as types from '../../types';
import Vue from 'vue';
import {cloneDeep} from 'lodash';

export default {
    [types.UPDATE_DISTRIBUTORS]: (state, payload) => {
        Vue.set(state, 'distributors', payload);
    },
    [types.UPDATE_DISTRIBUTOR]: (state, payload) => {
        if (payload.id) {
            state.distributors.forEach(distributor => {
                if (distributor.id === payload.id) {
                    distributor = Object.assign(distributor, payload);
                } 
            });
        } else {
            //Todo: remove this temporaty logic
            let distributor = cloneDeep(payload);
            distributor.id = Math.floor(Math.random() * 9000);
            state.distributors.push(distributor);
        }
    }
};